> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update camera AI thresholds

> Update AI confidence thresholds for a camera



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/camera/updateCameraAIThresholds
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/camera/updateCameraAIThresholds:
    post:
      tags:
        - Camera Webservice
      summary: Update camera AI thresholds
      description: Update AI confidence thresholds for a camera
      operationId: updateCameraAIThresholds
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Camera_UpdateCameraAIThresholdsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Camera_UpdateCameraAIThresholdsWSResponse'
          description: OK
components:
  schemas:
    Camera_UpdateCameraAIThresholdsWSRequest:
      type: object
      description: Request to update AI thresholds for a camera.
      properties:
        cameraUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        consecutiveHumanFilter:
          type: integer
          format: int32
          description: >-
            Require this many consecutive frames of seeing a human to include
            that human detection in results. Set to 1 to always include
            detections, or higher to avoid false positives due to transient
            motion like bugs/spiders/rain. Default is 2 consecutive frames.
          example: 3
          nullable: true
        consecutiveVehicleFilter:
          type: integer
          format: int32
          description: >-
            Require this many consecutive frames of seeing a vehicle to include
            that vehicle detection in results. Set to 1 to always include
            detections, or higher to avoid false positives due to transient
            motion like bugs/spiders/rain. Default is 2 consecutive frames.
          example: 3
          nullable: true
        faceConfidenceThreshold:
          type: number
          format: float
          description: >-
            Confidence threshold for face detection. Set to 0 or null to use the
            default. Maximum range of 1. Default = 0.7
          example: 0.8
          nullable: true
        faceMatchConfidenceThreshold:
          type: number
          format: float
          description: >-
            Confidence threshold for face matching (determining if two faces are
            the same person). Set to 0 or null to use the default. Maximum range
            of 1. Default = 0.7. We no longer support device specific face
            matching threshold. This property is deprecated and will be removed.
          example: 0.8
          nullable: true
        humanConfidenceThreshold:
          type: number
          format: float
          description: >-
            Confidence threshold for human detection. Set to 0 or null to use
            the default. Maximum range of 1. Default = 0.6
          example: 0.7
          nullable: true
        lprConfidenceThreshold:
          type: number
          format: float
          description: >-
            Confidence threshold for license plate detection and character
            recognition. Set to 0 or null to use the default. Maximum range of
            1. Default = 0.8
          example: 0.9
          nullable: true
        maxEventDurationMs:
          type: integer
          format: int32
          description: >-
            Set the max event duration for an alert in milliseconds. Default is
            30000, lowering down to 4000 will result in faster alert delivery
            but shorter alert clips.
          example: 15000
          nullable: true
        vehicleConfidenceThreshold:
          type: number
          format: float
          description: >-
            Confidence threshold for vehicle detection. Set to 0 or null to use
            the default. Maximum range of 1. Default = 0.6
          example: 0.7
          nullable: true
    Camera_UpdateCameraAIThresholdsWSResponse:
      type: object
      description: Response indicating the result of updating camera AI thresholds.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````